.NET

Reply
Active Contributor
ZK_BUDiKOM
Posts: 30
Registered: ‎09-13-2012
Message 1 of 2 (205 Views)

C# - Dictionary

205 Views, 1 Replies
12-04-2012 01:49 AM

Hi,

 

I would like to make code in C#, works like this (LISP):

 

Create Dictionary:

 

(defun cd:DCT_AddDict (Root Name)
   (dictadd (if (not Root) (namedobjdict) Root) Name
   (entmakex (append '((0 . "DICTIONARY")(100 . "AcDbDictionary"))))
))

;run: (cd:DCT_AddDict (namedobjdict) "MyDict");

 

Add Xrecord to my Dictionary:

 

(defun cd:DCT_AddXrecord (Root XName XData)
  (dictadd (if (not Root) (namedobjdict) Root) XName
  (entmakex (append '((0 . "XRECORD")(100 . "AcDbXrecord")) XData))
))

;run: (cd:DCT_AddXrecord (cd:DCT_GetDict (namedobjdict) "MyDict") "MyDict-SUB1" '((1 . "ABC")));

 

Have you any example?

 

My soft: MVS2010, AutoCAD2013

 

regards

Active Contributor
ZK_BUDiKOM
Posts: 30
Registered: ‎09-13-2012
Message 2 of 2 (155 Views)

Re: C# - Dictionary

12-05-2012 11:18 PM in reply to: ZK_BUDiKOM

Ok,

 

I have found solution here:

http://www.theswamp.org/index.php?topic=38958.0;all

 

regards

You are not logged in.

Log into access your profile, ask and answer questions, share ideas and more. Haven't signed up yet? Register

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.

Need installation help?

Start with some of our most frequented solutions to get help installing your software.

Ask the Community